GET api/AuthorizationDetail/GetExamComponentList?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfExamcomponentDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of ExamcomponentDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "ComponentId": 2,
      "ComponentName": "sample string 3",
      "Sequence": 4,
      "CaseNo": 5,
      "IsAuthorizationEnable": true,
      "AuthorizationType": 7,
      "MappingId": 1,
      "RecordId": "f9588627-4abc-4d57-aac8-dc01cd2e9a9d",
      "OrderCategoryTypeId": 1,
      "OrderCategoryTypeLevel1Id": "sample string 8",
      "OrderCategoryTypeLevel2Id": 1,
      "OrderCategoryTypeLevel3Id": 1,
      "Selected": true,
      "OrderDescription": "sample string 10",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:27:26.4738339-07:00",
      "DateUpdated": "2026-08-04T14:27:26.4738339-07:00",
      "UserIDCreated": 14,
      "UserIDUpdated": 15
    },
    {
      "Id": 1,
      "ComponentId": 2,
      "ComponentName": "sample string 3",
      "Sequence": 4,
      "CaseNo": 5,
      "IsAuthorizationEnable": true,
      "AuthorizationType": 7,
      "MappingId": 1,
      "RecordId": "f9588627-4abc-4d57-aac8-dc01cd2e9a9d",
      "OrderCategoryTypeId": 1,
      "OrderCategoryTypeLevel1Id": "sample string 8",
      "OrderCategoryTypeLevel2Id": 1,
      "OrderCategoryTypeLevel3Id": 1,
      "Selected": true,
      "OrderDescription": "sample string 10",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:27:26.4738339-07:00",
      "DateUpdated": "2026-08-04T14:27:26.4738339-07:00",
      "UserIDCreated": 14,
      "UserIDUpdated": 15
    }
  ],
  "totalCount": 3
}